{{log "this->" this}}
<form>
    {{#if flavor}}
        <h3>{{{flavor}}}</h3>
    {{/if}}

    <div class="flexrow">
        <b>{{localize "ARS.dialog.getAction"}}</b>
        <div>
            <input name="actiontext" type="text" value="{{#if actionText}}{{actionText}}{{else}}{{localize "ARS.dialog.actionDefault"}}{{/if}}" data-dtype="String" />
        </div>
    </div>

    <div class="flexrow">
        <b>{{question}}</b>
        <div>
            <input name="modifier" type="number" value="{{#if defmod}}{{defmod}}{{else}}0{{/if}}" data-dtype="Number" />
        </div>
    </div>
    <div class="flexrow">
        {{!-- concentration for spells/power --}}
        <b>{{#if usePower}}Using Power{{else}}Casting Spell{{/if}}</b>
        <div>
            <input name="casting" type="checkbox" {{ checked casting }} />
        </div>
    </div>
    {{> "systems/ars/templates/dialogs/parts/dialog-rollMode-selection.hbs" }}
</form>